# BoardingPassLegFieldNames class

Constants for the field type names of BoardingPass.Leg.

## Constructors

BoardingPassLegFieldNames.new()
  const

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

AirlineDesignatorOfBoardingPassIssuer → const String
AirlineNumericCode → const String
BaggageTagLicensePlateNumbers → const String
CheckInSequenceNumber → const String
CompartmentCode → const String
DateOfBoardingPassIssuanceJulian → const String
DateOfFlightJulian → const String
DepartureAirportCode → const String
DestinationAirportCode → const String
DocumentFormSerialNumber → const String
DocumentType → const String
FastTrack → const String
FirstNonConsecutiveBaggageTagLicensePlateNumber → const String
FlightNumber → const String
ForIndividualAirlineUse → const String
FreeBaggageAllowance → const String
FrequentFlyerAirlineDesignator → const String
FrequentFlyerNumber → const String
IDADIndicator → const String
InternationalDocumentationVerification → const String
MarketingCarrierDesignator → const String
OperatingCarrierDesignator → const String
OperatingCarrierPNRCode → const String
PassengerDescription → const String
PassengerStatus → const String
SeatNumber → const String
SecondNonConsecutiveBaggageTagLicensePlateNumber → const String
SelecteeIndicator → const String
SourceOfBoardingPassIssuance → const String
SourceOfCheckIn → const String
VersionNumber → const String